> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 錢包 - 計算盈虧

> 計算錢包代幣的盈虧



## OpenAPI

````yaml /zh-Hant/api-reference/openapi-data-zh-Hant.yaml POST /v2/wallet/{chain}/{walletAddress}/calculate-pnl
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 區塊鏈相關操作
  - name: Token
    description: 代幣相關操作
  - name: Trade
    description: 交易相關操作
  - name: Wallet
    description: 錢包相關操作
  - name: Dex
    description: DEX 相關操作
  - name: Ranking
    description: 排行榜相關操作
  - name: DexPool
    description: DEX 池子相關操作
  - name: Watchlist
    description: 關注列表相關操作
  - name: KYT
    description: KYT 相關操作
  - name: Webhook
    description: Webhook 相關操作
  - name: RedPacket
    description: 紅包相關操作
  - name: IPFS
    description: IPFS 相關操作
  - name: DexScreener
    description: DexScreener 相關操作
paths:
  /v2/wallet/{chain}/{walletAddress}/calculate-pnl:
    post:
      tags:
        - Wallet
      summary: 錢包 - 計算盈虧
      description: 計算錢包代幣的盈虧
      operationId: calculate.pnl
      parameters:
        - name: chain
          in: path
          description: 支援網路列表中的鏈名稱
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddress
          in: path
          description: 錢包地址
          required: true
          schema:
            type: string
          example: MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CalculatePnlInput'
        required: true
      responses:
        '200':
          description: 成功回應
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    CalculatePnlInput:
      type: object
      properties:
        tokenAddresses:
          type:
            - array
            - 'null'
          items:
            type: string
          description: 要計算盈虧的代幣地址列表
          example:
            - 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
            - So11111111111111111111111111111111111111112
    SuccessResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
          description: 操作成功狀態
          example: true
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````